# 64bit spec-file
#
%define name		archimedes
%define version		0.66.1
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Computer Aided Design (CAD) program
URL:			http://sourceforge.net/projects/arquimedes/
Group:			Graphics
License:		EPL
Source:			%{name}-%{version}.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		x86_64

%description
Archimedes will be a Computer Aided Design (CAD) program
developed side by side with architecture offices in order
to fulfill their needs.  The developers hope to develop
the software better suited for architects than the
currently widely-used AutoCAD.

%prep
%setup -qn Archimedes

%install
%__rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/%{name}
cp -fr ${RPM_BUILD_DIR}/Archimedes/* ${RPM_BUILD_ROOT}/opt/%{name}/

# Desktop shortcut
install -d ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=/opt/archimedes/Archimedes
Icon=/opt/archimedes/icon.xpm
Terminal=false
Name=Archimedes
Comment=CAD
Categories=Graphics;2DGraphics;RasterGraphics;GTK;X-MandrivaLinux-Multimedia-Graphics;
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
/opt/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Apr 21 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 0.66.1-1_archie_2013
- Create package
